## rygel 0.38.1

=== debian/changelog ===
rygel (0.38.1-2ubuntu3) eoan; urgency=medium

  * debian/patches:
    - backport a few upstream fixes for issues raised during the MIR
      security team review

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 16:23:57 +0200

rygel (0.38.1-2ubuntu2) eoan; urgency=medium

  * debian/control.in:
    - lower gstreamer1.0-libav to a Suggests

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Aug 2019 10:15:06 +0200

rygel (0.38.1-2ubuntu1) eoan; urgency=medium

  * Resynchronize on Debian, remaining change
  * debian/control.in:
    - lower the gst-plugins-ugly recommends to a suggests

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Aug 2019 18:01:03 +0300

rygel (0.38.1-2) experimental; urgency=medium

  * debian/control.in:
    - correctly version the depends of the dev binary

 -- Sebastien Bacher <seb128@debian.org>  Fri, 23 Aug 2019 17:56:52 +0300

rygel (0.38.1-1) experimental; urgency=medium

  * New upstream release
  * debian/compat:
    - removed
  * debian/control.in:
    - updated Build-Depends on glib/gtk/gssdp/gupnp/gstreamer/vala
    - update to debhelper12
  * debian/patches/renderer-Fix-type-argument-mismatch.patch:
    - remove, included in the new version
  * debian/patches/gstreamer_use_lm.patch:
    - fix a build issue with autotools
  * debian/rygel-2.6-dev.install:
    - temporarly comment installation of documentation missing from the
      current version tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 23 Aug 2019 11:27:56 +0300

rygel (0.36.2-5) experimental; urgency=medium

  * Cherry-pick renderer-Fix-type-argument-mismatch.patch:
    - Fix build with vala 0.44 series
  * Upload to experimental because of the Buster Full Freeze

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Mar 2019 02:39:48 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: rygel
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 12),
               gnome-pkg-tools,
               gobject-introspection,
               gstreamer1.0-plugins-base,
               gtk-doc-tools,
               intltool,
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.44.0),
               libgssdp-1.2-dev (>= 1.1.0),
               libgstreamer-plugins-base1.0-dev (>= 1.12),
               libgstreamer1.0-dev (>= 1.12),
               libgtk-3-dev (>= 3.22),
               libgupnp-1.2-dev (>= 1.1.0),
               libgupnp-av-1.0-dev (>= 0.12.8),
               libgupnp-dlna-2.0-dev (>= 0.9.4-2),
               libmediaart-2.0-dev (>= 0.7.0),
               libsoup2.4-dev (>= 2.44.0),
               libsqlite3-dev (>= 3.5),
               libtracker-sparql-2.0-dev,
               libunistring-dev,
               libxml2-dev (>= 2.7),
               valac (>= 0.36.0),
               valadoc (>= 0.2)
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
Homepage: https://wiki.gnome.org/Projects/Rygel

Package: rygel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dbus-user-session,
            gstreamer1.0-plugins-base,
            gstreamer1.0-plugins-good,
Suggests: rygel-playbin,
          rygel-preferences,
          rygel-ruih,
          rygel-tracker,
          tumbler,
          gstreamer1.0-libav,
          gstreamer1.0-plugins-ugly,
Description: GNOME UPnP/DLNA services
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the core of Rygel and following plugins:
   * media-export: Recursively exports folders and files specified in the
     user configuration. This plugin supports all types of URIs that
     gio/gvfs and GStreamer can handle.
   * external: A MediaServer plugin that exports media hierarchies
     provided by external applications.
   * mpris: Export of media players that implement MPRIS2 D-Bus interface,
     as MediaRenderer devices.

Package: rygel-2.6-dev
Section: devel
Architecture: any
Depends: libgstreamer1.0-dev,
         libgupnp-1.2-dev,
         librygel-core-2.6-2 (= ${binary:Version}),
         librygel-db-2.6-2 (= ${binary:Version}),
         librygel-renderer-2.6-2 (= ${binary:Version}),
         librygel-renderer-gst-2.6-2 (= ${binary:Version}),
         librygel-ruih-2.0-1 (= ${binary:Version}),
         librygel-server-2.6-2 (= ${binary:Version}),
         ${misc:Depends}
Replaces: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev
Conflicts: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev
Description: GNOME UPnP/DLNA services - plugin development files
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides the development files needed to build Rygel plugins.

Package: librygel-core-2.6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - core library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the core of Rygel, used by other rygel modules.

Package: librygel-server-2.6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - server library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by application implementing
 UPnP server functionality by using rygel server plug-ins.

Package: librygel-renderer-2.6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality by using rygel renderer plug-ins.

Package: librygel-renderer-gst-2.6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - renderer library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library used by applications implementing
 UPnP renderer functionality based on GStreamer by using rygel renderer
 plug-ins.

Package: librygel-ruih-2.0-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - ruih library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library implementing the Remote User Interface Server
 protocol interfaces.

Package: librygel-db-2.6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - db library
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains a library implementing a generic database
 abstraction used by rygel and rygel plugins.

Package: rygel-ruih
Architecture: any
Multi-Arch: same
Depends: rygel (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - Ruih plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides a plugin implementing Remote User Interface Server.

Package: rygel-tracker
Architecture: any
Depends: rygel (= ${binary:Version}),
         tracker (>= 0.8),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - Tracker plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides a MediaServer plugin that exports user's media
 contents known to Tracker (http://projects.gnome.org/tracker).

Package: rygel-playbin
Architecture: any
Depends: gstreamer1.0-plugins-good,
         rygel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: rygel-gst-renderer (<< 0.8.3-1~)
Conflicts: rygel-gst-renderer (<< 0.8.3-1~)
Enhances: rygel
Description: GNOME UPnP/DLNA services - GStreamer Media Renderer plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package contains the Playbin plugin which is a MediaRenderer plugin.
 With this installed Rygel can render (view/play) media locally from
 other network resources (MediaServers) through GStreamer playbin2.

Package: rygel-gst-launch
Architecture: any
Depends: rygel (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNOME UPnP/DLNA services - gst-launch plugin
 Rygel is a home media solution that allows you to easily share audio, video
 and pictures, and control of media player on your home network. In technical
 terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
 a plug-in mechanism. Interoperability with other devices in the market is
 achieved by conformance to very strict requirements of DLNA and on the fly
 conversion of media to format that client devices are capable of handling.
 .
 This package provides a gst-launch plugin that enables using a

## rygel 0.38.2

=== debian/changelog ===
rygel (0.38.2-4) unstable; urgency=medium

  * debian/rygel-2.6-dev.install: install the documentation again, it's
    shipped correctly with the new tarball version
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 13:03:41 +0100

rygel (0.38.2-3) unstable; urgency=medium

  * debian/control.in:
    - correctly version the dev binary libgupnp depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Nov 2019 16:37:25 +0100

rygel (0.38.2-2) unstable; urgency=medium

  * debian/rygel.postinst:
    - disable the systemd user units on upgrade for users who had the buggy
      version installed, --no-enable isn't enough for those cases.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Oct 2019 19:01:37 +0100

rygel (0.38.2-1) unstable; urgency=medium

  * New upstream release (Closes: #917464)
  * debian/patches/gstreamer_use_lm.patch:
    - remove, the bug is fixed in the new version
  * debian/rules:
    - use 'dh_installsystemduser --no-enable' to not risk enabling media
      sharing for users who don't expect it. GNOME defaults to disable
      rygel on login but that's not the case in other desktops, since that
      can be a privacy issue it's better to default to a safe behaviour.
      (lp: #1848692)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Oct 2019 22:09:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gobject-introspection,
@@ -31,7 +30,7 @@
                libxml2-dev (>= 2.7),
                valac (>= 0.36.0),
                valadoc (>= 0.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
 Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
@@ -41,15 +40,15 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: dbus-user-session,
+            gstreamer1.0-libav,
             gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
+            gstreamer1.0-plugins-ugly
 Suggests: rygel-playbin,
           rygel-preferences,
           rygel-ruih,
           rygel-tracker,
-          tumbler,
-          gstreamer1.0-libav,
-          gstreamer1.0-plugins-ugly,
+          tumbler
 Description: GNOME UPnP/DLNA services
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
@@ -251,3 +250,7 @@
  conversion of media to format that client devices are capable of handling.
  .
  This package provides a gst-launch plugin that enables using a
+ custom GStreamer pipeline as a DLNA service/UPnP device.
+
+Package: rygel-preferences
+Architecture: any

## rygel 0.38.3

=== meson_options.txt ===
option('uninstalled', type: 'boolean', value: 'false', description: 'Run Rygel from build directory only')
option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
option('plugins', type : 'array', choices : ['external', 'gst-launch', 'lms', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker'])
option('engines', type : 'array', choices : ['simple', 'gstreamer'])
option('examples', type : 'boolean', value : 'true')
option('tests', type : 'boolean', value : 'true')
option('gstreamer', type : 'boolean', value : 'true')
option('gtk', type : 'boolean', value : 'true')
option('introspection', type: 'feature', value : 'auto')

=== debian/changelog ===
rygel (0.38.3-1ubuntu1) focal; urgency=medium

  * Resynchronize with Debian, remaining changes
    - lower gstreamer1.0-libav and gst-plugins-ugly to a Suggests

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 16:03:58 +0100

rygel (0.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Mar 2020 15:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -40,11 +40,11 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: dbus-user-session,
-            gstreamer1.0-libav,
             gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
-            gstreamer1.0-plugins-ugly
-Suggests: rygel-playbin,
+Suggests: gstreamer1.0-libav,
+          gstreamer1.0-plugins-ugly,
+          rygel-playbin,
           rygel-preferences,
           rygel-ruih,
           rygel-tracker,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	find . -name "*_vala.stamp" | xargs rm -f
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--libexecdir=/usr/lib \
		--with-systemduserunitdir=/usr/lib/systemd/user \
		--enable-mediathek-plugin \
		--enable-gst-launch-plugin \
		--disable-lms-plugin \
		--disable-apidocs

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_strip:
	dh_strip --dbgsym-migration='rygel-dbg (<< 0.28.3-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.6/

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## rygel 0.40.0

=== debian/changelog ===
rygel (0.40.0-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control.in, debian/rules:
    - generate the gstreamer plugin recommends/suggests dynamically
      depending on the distribution, allows Ubuntu syncing

  [ Laurent Bigonville ]
  * New upstream release
  * Bump build-dependencies and switch to meson
  * debian/control.in: Add several missing dependencies to the -dev package
  * debian/control.in: Add libglib2.0-doc to the build-dependencies
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * Fix installation of the documentation, patch from upstream
  * Move mx-extract to /usr/libexec/rygel

 -- Laurent Bigonville <bigon@debian.org>  Tue, 22 Dec 2020 09:22:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
                gobject-introspection,
                gstreamer1.0-plugins-base,
                gtk-doc-tools,
-               intltool,
+               meson (>= 0.50.0),
                libgee-0.8-dev,
-               libglib2.0-dev (>= 2.44.0),
+               libges-1.0-dev (>= 1.16),
+               libglib2.0-dev (>= 2.56.0),
+               libglib2.0-doc,
                libgssdp-1.2-dev (>= 1.1.0),
                libgstreamer-plugins-base1.0-dev (>= 1.12),
                libgstreamer1.0-dev (>= 1.12),
@@ -28,9 +30,10 @@
                libtracker-sparql-2.0-dev,
                libunistring-dev,
                libxml2-dev (>= 2.7),
-               valac (>= 0.36.0),
+               libxml2-utils,
+               valac (>= 0.40.10),
                valadoc (>= 0.2)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
 Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
@@ -42,8 +45,8 @@
 Recommends: dbus-user-session,
             gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
-Suggests: gstreamer1.0-libav,
-          gstreamer1.0-plugins-ugly,
+            ${gst:Recommends}
+Suggests: ${gst:Suggests},
           rygel-playbin,
           rygel-preferences,
           rygel-ruih,
@@ -70,7 +73,10 @@
 Section: devel
 Architecture: any
 Depends: libgstreamer1.0-dev,
+         libgee-0.8-dev,
+         libglib2.0-dev,
          libgupnp-1.2-dev,
+         libgupnp-av-1.0-dev,
          librygel-core-2.6-2 (= ${binary:Version}),
          librygel-db-2.6-2 (= ${binary:Version}),
          librygel-renderer-2.6-2 (= ${binary:Version}),
@@ -249,8 +255,3 @@
  achieved by conformance to very strict requirements of DLNA and on the fly
  conversion of media to format that client devices are capable of handling.
  .
- This package provides a gst-launch plugin that enables using a
- custom GStreamer pipeline as a DLNA service/UPnP device.
-
-Package: rygel-preferences
-Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,27 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
+# those gstream plugins are in universe for Ubuntu
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
+else
+	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
+endif
+
 %:
 	dh $@ --with gnome
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(DH_GENCONTROL_ARGS)
 
 override_dh_auto_configure:
 	find . -name "*_vala.stamp" | xargs rm -f
 	dh_auto_configure -- \
-		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--libexecdir=/usr/lib \
-		--with-systemduserunitdir=/usr/lib/systemd/user \
-		--enable-mediathek-plugin \
-		--enable-gst-launch-plugin \
-		--disable-lms-plugin \
-		--disable-apidocs
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+		-Dsystemd-user-units-dir=/usr/lib/systemd/user \
+	        -Dapi-docs=true \
+		-Dintrospection=disabled \
+		-Dexamples=false \
+		-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='rygel-dbg (<< 0.28.3-2~)'

## rygel 0.40.1

=== debian/changelog ===
rygel (0.40.1-3ubuntu1) impish; urgency=medium

  * Sync with Debian. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 07:25:14 -0400

rygel (0.40.1-3) unstable; urgency=medium

  * Build-Depend on dh-sequence-gnome
  * debian/rules: Simplify a bit
  * Bump debhelper-compat to 13
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 20:45:51 -0400

rygel (0.40.1-2ubuntu1) impish; urgency=medium

  * debian/patches/revert_gst_depends.patch: revert upstream commit
    'Use GES for time seeking during transcoding', gst-editing-services
    depends on gstreamer codecs which can't be promoted

 -- Iain Lane <iain.lane@canonical.com>  Thu, 22 Jul 2021 16:45:30 +0100

rygel (0.40.1-2) experimental; urgency=medium

  * control, rules, rygel-tracker.install: Switch to tracker 3

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 18:20:53 +0100

rygel (0.40.1-1ubuntu1) impish; urgency=medium

  * Resynchronize on Debian, remaining Ubuntu changes
  * debian/patches/revert_gst_depends.patch: revert upstream commit
    'Use GES for time seeking during transcoding', gst-editing-services
    depends on gstreamer codecs which can't be promoted

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Jun 2021 10:23:08 +0200

rygel (0.40.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/wip-Fix-gtkdoc-generation-and-installation.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 20:40:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
-               gobject-introspection,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
                gstreamer1.0-plugins-base,
                gtk-doc-tools,
                meson (>= 0.50.0),
@@ -27,7 +27,7 @@
                libmediaart-2.0-dev (>= 0.7.0),
                libsoup2.4-dev (>= 2.44.0),
                libsqlite3-dev (>= 3.5),
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libunistring-dev,
                libxml2-dev (>= 2.7),
                libxml2-utils,
@@ -36,7 +36,7 @@
 Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -209,7 +209,7 @@
 Package: rygel-tracker
 Architecture: any
 Depends: rygel (= ${binary:Version}),
-         tracker (>= 0.8),
+         tracker (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNOME UPnP/DLNA services - Tracker plugin
@@ -253,5 +253,3 @@
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
  a plug-in mechanism. Interoperability with other devices in the market is
  achieved by conformance to very strict requirements of DLNA and on the fly
- conversion of media to format that client devices are capable of handling.
- .

## rygel 0.40.3

=== meson_options.txt ===
option('uninstalled', type: 'boolean', value: 'false', description: 'Run Rygel from build directory only')
option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
option('plugins', type : 'array', choices : ['external', 'gst-launch', 'lms', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker3'])
option('engines', type : 'array', choices : ['simple', 'gstreamer'])
option('examples', type : 'boolean', value : 'true')
option('tests', type : 'boolean', value : 'true')
option('gstreamer', type : 'feature', value : 'enabled')
option('gtk', type : 'feature', value : 'enabled')
option('introspection', type: 'feature', value : 'auto')
option('fatal_warnings', type: 'boolean', value : 'false')

=== debian/changelog ===
rygel (0.40.3-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest gupnp libraries

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 31 Jan 2022 20:56:26 -0500

rygel (0.40.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jan 2022 16:33:27 -0500

rygel (0.40.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in.: Bump minimum meson to 0.55.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 16:28:27 -0500

rygel (0.40.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Nov 2021 08:59:37 -0800

rygel (0.40.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Sep 2021 18:11:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gstreamer1.0-plugins-base,
                gtk-doc-tools,
-               meson (>= 0.50.0),
+               meson (>= 0.55.0),
                libgee-0.8-dev,
                libges-1.0-dev (>= 1.16),
                libglib2.0-dev (>= 2.56.0),
@@ -35,7 +35,7 @@
                valadoc (>= 0.2)
 Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/master
 Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/Rygel

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# those gstreamer plugins are in universe for Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
else
	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-ugly"
endif

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dsystemd-user-units-dir=/usr/lib/systemd/user \
	        -Dapi-docs=true \
		-Dintrospection=disabled \
		-Dexamples=false \
		-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.6/

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## rygel 0.40.4

=== debian/changelog ===
rygel (0.40.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:36:04 -0400

rygel (0.40.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 06 Jun 2022 13:52:46 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gstreamer1.0-plugins-base,
@@ -35,6 +35,8 @@
                valadoc (>= 0.2)
 Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/master
 Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/Rygel
@@ -251,5 +253,3 @@
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
- a plug-in mechanism. Interoperability with other devices in the market is
- achieved by conformance to very strict requirements of DLNA and on the fly

## rygel 0.42.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('uninstalled', type: 'boolean', value: 'false', description: 'Run Rygel from build directory only')
 option('api-docs', type: 'boolean', value: 'false', description: 'Build the API documentation')
+option('man_pages', type: 'boolean', value: 'true', description: 'Build the man pages')
 option('systemd-user-units-dir', type : 'string', value : 'auto', description : 'Where to install the systemd user unit (use special values "auto" or "none", or pass a path')
 option('plugins', type : 'array', choices : ['external', 'gst-launch', 'lms', 'media-export', 'mpris', 'playbin', 'ruih', 'tracker3'])
 option('engines', type : 'array', choices : ['simple', 'gstreamer'])

=== debian/changelog ===
rygel (0.42.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:45:28 -0500

rygel (0.42.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 15:10:56 +0100

rygel (0.42.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Bump (build-)deps to gssdp/gupnp 1.2->1.6
  * Update for rygel ABI bump 2.6->2.8
  * Bump libsoup 2.4->3.0
  * Bump rygel-ruih 2.0->2.8
  * Stop installing TODO
  * Drop ancient debian/rygel-tracker.NEWS

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 20:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -17,15 +16,15 @@
                libges-1.0-dev (>= 1.16),
                libglib2.0-dev (>= 2.56.0),
                libglib2.0-doc,
-               libgssdp-1.2-dev (>= 1.1.0),
+               libgssdp-1.6-dev,
                libgstreamer-plugins-base1.0-dev (>= 1.12),
                libgstreamer1.0-dev (>= 1.12),
                libgtk-3-dev (>= 3.22),
-               libgupnp-1.2-dev (>= 1.1.0),
+               libgupnp-1.6-dev (>= 1.1.0),
                libgupnp-av-1.0-dev (>= 0.12.8),
                libgupnp-dlna-2.0-dev (>= 0.9.4-2),
                libmediaart-2.0-dev (>= 0.7.0),
-               libsoup2.4-dev (>= 2.44.0),
+               libsoup-3.0-dev,
                libsqlite3-dev (>= 3.5),
                libtracker-sparql-3.0-dev,
                libunistring-dev,
@@ -33,12 +32,11 @@
                libxml2-utils,
                valac (>= 0.40.10),
                valadoc (>= 0.2)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -71,23 +69,23 @@
    * mpris: Export of media players that implement MPRIS2 D-Bus interface,
      as MediaRenderer devices.
 
-Package: rygel-2.6-dev
+Package: rygel-2.8-dev
 Section: devel
 Architecture: any
 Depends: libgstreamer1.0-dev,
          libgee-0.8-dev,
          libglib2.0-dev,
-         libgupnp-1.2-dev,
+         libgupnp-1.6-dev,
          libgupnp-av-1.0-dev,
-         librygel-core-2.6-2 (= ${binary:Version}),
-         librygel-db-2.6-2 (= ${binary:Version}),
-         librygel-renderer-2.6-2 (= ${binary:Version}),
-         librygel-renderer-gst-2.6-2 (= ${binary:Version}),
-         librygel-ruih-2.0-1 (= ${binary:Version}),
-         librygel-server-2.6-2 (= ${binary:Version}),
+         librygel-core-2.8-0 (= ${binary:Version}),
+         librygel-db-2.8-0 (= ${binary:Version}),
+         librygel-renderer-2.8-0 (= ${binary:Version}),
+         librygel-renderer-gst-2.8-0 (= ${binary:Version}),
+         librygel-ruih-2.8-0 (= ${binary:Version}),
+         librygel-server-2.8-0 (= ${binary:Version}),
          ${misc:Depends}
-Replaces: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev
-Conflicts: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev
+Replaces: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
+Conflicts: rygel-1.0-dev, rygel-2.0-dev, rygel-2.4-dev, rygel-2.6-dev
 Description: GNOME UPnP/DLNA services - plugin development files
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
@@ -98,7 +96,7 @@
  .
  This package provides the development files needed to build Rygel plugins.
 
-Package: librygel-core-2.6-2
+Package: librygel-core-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -113,7 +111,7 @@
  .
  This package contains the core of Rygel, used by other rygel modules.
 
-Package: librygel-server-2.6-2
+Package: librygel-server-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -129,7 +127,7 @@
  This package contains a library used by application implementing
  UPnP server functionality by using rygel server plug-ins.
 
-Package: librygel-renderer-2.6-2
+Package: librygel-renderer-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -145,7 +143,7 @@
  This package contains a library used by applications implementing
  UPnP renderer functionality by using rygel renderer plug-ins.
 
-Package: librygel-renderer-gst-2.6-2
+Package: librygel-renderer-gst-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -162,7 +160,7 @@
  UPnP renderer functionality based on GStreamer by using rygel renderer
  plug-ins.
 
-Package: librygel-ruih-2.0-1
+Package: librygel-ruih-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -178,7 +176,7 @@
  This package contains a library implementing the Remote User Interface Server
  protocol interfaces.
 
-Package: librygel-db-2.6-2
+Package: librygel-db-2.8-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -253,3 +251,5 @@
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
  terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
+ a plug-in mechanism. Interoperability with other devices in the market is
+ achieved by conformance to very strict requirements of DLNA and on the fly

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 		-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.6/
+	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/rygel-2.8/
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable

## rygel 0.42.4

=== debian/changelog ===
rygel (0.42.4-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 09:40:43 -0400

rygel (0.42.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1040755, #1042331)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 14:50:51 -0400

rygel (0.42.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 17:16:17 -0400

rygel (0.42.3-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main 

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 16 May 2023 09:41:44 -0400

rygel (0.42.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - 0.42.2 -> 0.42.3 fixes:
      + Fix endless loop in XML namespace lookup
        (https://gitlab.gnome.org/GNOME/rygel/issues/228)
    - 0.42.1 -> 0.42.2 fixes:
      - Fix issue with urls having "." in them
        (https://gitlab.gnome.org/GNOME/rygel/issues/225)
      - Export disc numbers
        (https://gitlab.gnome.org/GNOME/rygel/issues/223)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 13:59:36 -0400

rygel (0.42.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 15:49:21 -0500

rygel (0.42.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add debian/patches/revert_gst_depends.patch: revert upstream commit
      'Use GES for time seeking during transcoding', gst-editing-services
      depends on gstreamer codecs which can't be promoted to main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Nov 2022 15:35:33 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: rygel
 Section: net
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -35,8 +36,10 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/rygel
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/rygel/-/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/rygel.git -b ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/Rygel
 
 Package: rygel
@@ -250,6 +253,3 @@
 Description: GNOME UPnP/DLNA services - gst-launch plugin
  Rygel is a home media solution that allows you to easily share audio, video
  and pictures, and control of media player on your home network. In technical
- terms it is both a UPnP AV MediaServer and MediaRenderer implemented through
- a plug-in mechanism. Interoperability with other devices in the market is
- achieved by conformance to very strict requirements of DLNA and on the fly
